Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class BitmapRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator
                  org.apache.fop.render.java2d.Java2DRendererConfigurator
                      org.apache.fop.render.bitmap.BitmapRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

Direct Known Subclasses:
  TIFFRendererConfigurator

    public class BitmapRendererConfigurator

extends Java2DRendererConfigurator
implements IFDocumentHandlerConfigurator

Configurator for bitmap output.

Field Summary

Fields inherited from class org.apache.fop.render.PrintRendererConfigurator
`log`

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`BitmapRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Methods inherited from class org.apache.fop.render.java2d.Java2DRendererConfigurator
`configure`

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`buildFontList`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitmapRendererConfigurator

    public BitmapRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### setupFontInfo

    public void setupFontInfo(IFDocumentHandler documentHandler,
                              FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Specified by:
    `setupFontInfo` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `setupFontInfo` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
    `fontInfo` - the font info object to set up
  Throws:
    `FOPException` - if an error occurs while configuring the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.